QRIS
How to use QRIS to submit a payin in Indonesia.
Last updated
{
"code": "10000",
"msg": "Success",
"trade_no": "2022010106532400030",
"out_trade_no": "202201010354007",
"web_url": "",
"pay_url": "https://pay.tpservice.vip/#/pay/id/qris/P190***5121?payWay=QRIS",
"trade_status":"PROCESSING",
"qr_code_img": "https://defipay.oss-ap-southeast-1.aliyuncs.com/3e***a03c20.png"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354006",
* "method": "QRIS",
* "order_amount": "13300",
* "order_currency": "IDR",
* "subject": "trade pay test",
"content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01"
}'